# Hexo Configuration
## Docs: https://hexo.io/docs/configuration.html
## Source: https://github.com/hexojs/hexo/

# Site
title: James Peret
subtitle: ''
description: ''
keywords:
author: james Peret
language: en
timezone: ''

# URL
## If your site is put in a subdirectory, set url as 'http://yoursite.com/child' and root as '/child/'
url: http://jamesperet.com
root: /
permalink: :title/
permalink_defaults:
pretty_urls:
  trailing_index: true # Set to false to remove trailing 'index.html' from permalinks
  trailing_html: true # Set to false to remove trailing '.html' from permalinks

# Directory
source_dir: source
public_dir: public
tag_dir: tags
archive_dir: archives
category_dir: categories
code_dir: downloads/code
i18n_dir: :lang
skip_render:

# Writing
new_post_name: :title.md # File name of new posts
default_layout: post
titlecase: false # Transform title into titlecase
external_link:
  enable: true # Open external links in new tab
  field: site # Apply to the whole site
  exclude: ''
filename_case: 0
render_drafts: false
post_asset_folder: true
relative_link: false
future: true
highlight:
  enable: true
  line_number: true
  auto_detect: false
  tab_replace: ''
  wrap: true
  hljs: false

# Home page setting
# path: Root path for your blogs index page. (default = '')
# per_page: Posts displayed per page. (0 = disable pagination)
# order_by: Posts order. (Order by date descending by default)
index_generator:
  path: ''
  per_page: 100
  order_by: -date

# Category & Tag
default_category: uncategorized
category_map:
tag_map:

# Metadata elements
## https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meta
meta_generator: true

# Date / Time format
## Hexo uses Moment.js to parse and display date
## You can customize the date format as defined in
## http://momentjs.com/docs/#/displaying/format/
date_format: YYYY-MM-DD
time_format: HH:mm:ss
## Use post's date for updated date unless set in front-matter
use_date_for_updated: false

# Pagination
## Set per_page to 0 to disable pagination
per_page: 10
pagination_dir: page

# Include / Exclude file(s)
## include:/exclude: options only apply to the 'source/' folder
include:
exclude:
ignore:
  - "/archives"

# Extensions
## Plugins: https://hexo.io/plugins/
## Themes: https://hexo.io/themes/
theme: james-theme



# Deployment
## Docs: https://hexo.io/docs/deployment.html
deploy:
  type: sftp
  host: 162.243.124.54
  port: 22
  user: admin
  pass: SuperUnicorn2048
  remotePath: /var/www/jamesperet-website-2020/public_html/
  forceUpload: false
  concurrency: 4

links:
  - icon: twitter
    link: http://twitter.com/jamesperet
  - icon: vimeo
    link: http://vimeo.com/jamesperet
  - icon: github
    link: http://github.com/jamesperet
  - icon: tumblr
    link: http://jamesperet.tumblr.com/
  - icon: youtube
    link: http://youtube.com/jamesperet
  - icon: linkedin
    link: http://www.linkedin.com/in/jamesperet
  - icon: lastfm
    link: https://www.last.fm/user/James_Peret
  - icon: facebook
    link: http://facebook.com/jamesperet
  - icon: itch-io
    link: http://jamesperet.itch.io
  - icon: steam
    link: https://steamcommunity.com/id/jamesperet/
  - icon: git
    link: http://gogs.jamesperet.com/
  - icon: npm
    link: https://www.npmjs.com/~jamesperet
  - icon: soundcloud
    link: https://soundcloud.com/james-peret
  - icon: twitch.tv
    link: https://www.twitch.tv/james_peret
  - icon: rss
    link: https://jamesperet.com/rss.xml
  - icon: pinterest
    link: https://br.pinterest.com/jamesperet/
  - icon: unity
    link: https://connect.unity.com/u/james-peret
  - icon: angellist
    link: https://angel.co/u/jamesperet
  - icon: codepen
    link: https://codepen.io/jamesperet/pens/templates/
  - icon: behance
    link: https://www.behance.net/jamesperet

feed:
  type: atom
  path: rss.xml
  limit: 20
  content:
  content_limit: 140
  content_limit_delim: ' '
  order_by: -date
  icon: icon.png
  autodiscovery: true

sitemap:
    path: sitemap.xml
    tag: false
    category: false